{% extends '_base_blank.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} Contracts - View{% endblock title %}

{% block content %}
<div class="columns">
    <div class="column is-2"></div>
    <div class="column mb mb-6">
        <p class="title has-text-centered">Welcome {{ contract.first_name }} {{contract.last_name}} !</p>
        <p class="subtitle has-text-centered">
            We are happy to have you onboard. Please fill out the following details to complete the onboarding
            process.<br />
            For queries, reach the Administration at <a href = "mailto: administration@ifpindia.org">administration@ifpindia.org</a> or the Secretary General at <a href = "mailto: secretarygeneral@ifpindia.org">secretarygeneral@ifpindia.org</a>.
        </p>
        <hr />
        {% if contract.resubmit_reason is not None %}
        <p class="has-text-weight-bold has-text-danger-dark is-italic">* {{contract.resubmit_reason}}</p>
        {% endif %}
        <form action="{% url 'contract_onboard' contract.id %}" method="POST" enctype="multipart/form-data">
            {% csrf_token %}
            <p class="is-size-5 has-text-weight-semibold">Personal Details</p>
            <div class="m m-5">
                {{ forms.personal_details|crispy }}
            </div>
            {% if contract.contract_type.get_dependent_for_insurance %}
            <p class="is-size-5 has-text-weight-semibold">Dependent Details</p>
            <div class="m m-5">
                {{ forms.dependent_details|crispy }}
            </div>
            {% endif %}
            <p class="is-size-5 has-text-weight-semibold">Emergency Contact</p>
            <div class="m m-5">
                {{ forms.emergency_contact|crispy }}
            </div>
            {% if contract.contract_type.get_educational_details %}
            <p class="is-size-5 has-text-weight-semibold">Highest Education Qualification</p>
            <div class="m m-5">
                {{ forms.education_details|crispy }}
            </div>
            {% endif %}
            {% if contract.affiliated_to_institution %}
            <p class="is-size-5 has-text-weight-semibold">Affiliated Institution</p>
            <div class="m m-5">
                {{ forms.affiliated_institution|crispy }}
            </div>
            {% endif %}
            <p class="is-size-5 has-text-weight-semibold">Bank Details</p>
            <div class="m m-5">
                {{ forms.bank_account|crispy }}
            </div>
            {% if contract.nationality.name != "India"%}
            <p class="is-size-5 has-text-weight-semibold">VISA Details</p>
            <div class="m m-5">
                {{ forms.visa|crispy }}
            </div>
            {% endif %}
            <div class="m m-5 has-text-right">
                <button type="submit" class="button is-link" name="save" value="save"> Save </button>
                <button type="submit" class="button is-success" name="preview" value="preview"> Preview and Submit
                </button>
            </div>
        </form>
    </div>
    <div class="column is-2"></div>
</div>
{% endblock %}